phodav-devel-2.3-4.12.x86_64.rpm


Advertisement

Description

phodav-devel - Development files for phodav

Property Value
Distribution openSUSE Tumbleweed
Repository GNOME Factory x86_64 + i586
Package filename phodav-devel-2.3-4.12.x86_64.rpm
Package name phodav-devel
Package version 2.3
Package release 4.12
Package architecture x86_64
Package type rpm
Category Development/Libraries/C and C++
Homepage https://wiki.gnome.org/phodav
License LGPL-2.0-or-later
Maintainer -
Download size 27.66 KB
Installed size 64.08 KB
phodav is a WebDav server implementation using libsoup (RFC 4918).
This package provides the files needed for developing software using phodav.

Alternatives

Package Version Architecture Repository
phodav-devel-2.3-7.21.i586.rpm 2.3 i586 GNOME Next
phodav-devel-2.3-7.21.x86_64.rpm 2.3 x86_64 GNOME Next
phodav-devel-2.3-4.16.i586.rpm 2.3 i586 GNOME Factory
phodav-devel-2.3-1.4.i586.rpm 2.3 i586 openSUSE Oss
phodav-devel-2.3-1.4.x86_64.rpm 2.3 x86_64 openSUSE Oss
phodav-devel - - -

Requires

Name Value
/usr/bin/pkg-config -
libphodav-2_0-0 = 2.3
pkgconfig(gio-unix-2.0) -
pkgconfig(libsoup-2.4) >= 2.48.0
pkgconfig(libxml-2.0) -

Provides

Name Value
phodav-devel = 2.3-4.12
phodav-devel(x86-64) = 2.3-4.12
pkgconfig(libphodav-2.0) = 2.3

Download

Type URL
Mirror widehat.opensuse.org
Binary Package phodav-devel-2.3-4.12.x86_64.rpm
Source Package phodav-2.3-4.12.src.rpm

Install Howto

  1. Add the GNOME Factory repository:
    # zypper addrepo http://widehat.opensuse.org/repositories/GNOME:/Factory/openSUSE_Factory/ gnome-factory
  2. Install phodav-devel rpm package:
    # zypper install phodav-devel

Files

Path
/usr/include/libphodav-2.0/
/usr/include/libphodav-2.0/libphodav/phodav-server.h
/usr/include/libphodav-2.0/libphodav/phodav.h
/usr/lib64/libphodav-2.0.so
/usr/lib64/pkgconfig/libphodav-2.0.pc
/usr/share/gtk-doc/html/phodav-2.0/PhodavServer.html
/usr/share/gtk-doc/html/phodav-2.0/annotation-glossary.html
/usr/share/gtk-doc/html/phodav-2.0/api-index-full.html
/usr/share/gtk-doc/html/phodav-2.0/ch01.html
/usr/share/gtk-doc/html/phodav-2.0/home.png
/usr/share/gtk-doc/html/phodav-2.0/index.html
/usr/share/gtk-doc/html/phodav-2.0/left-insensitive.png
/usr/share/gtk-doc/html/phodav-2.0/left.png
/usr/share/gtk-doc/html/phodav-2.0/object-tree.html
/usr/share/gtk-doc/html/phodav-2.0/phodav-2.0.devhelp2
/usr/share/gtk-doc/html/phodav-2.0/right-insensitive.png
/usr/share/gtk-doc/html/phodav-2.0/right.png
/usr/share/gtk-doc/html/phodav-2.0/style.css
/usr/share/gtk-doc/html/phodav-2.0/up-insensitive.png
/usr/share/gtk-doc/html/phodav-2.0/up.png
/usr/share/licenses/phodav-devel/COPYING

Changelog

2019-03-25 - Jan Engelhardt <jengelh@inai.de>
- Add %systemd_ordering for %service_*.
2019-03-09 - Bjørn Lie <bjorn.lie@gmail.com>
- Update to version 2.3:
+ Replace autotools with meson.
+ spice-webdavd: switch to GTask.
+ chezdav: add --local & --public to specify interfaces to listen
on.
+ Updated translations.
- Switch to meson BuildSystem, add meson BuildRequires and macros.
- Drop intltool BuildRequires, no longer needed.
- Add pkgconfig(systemd) and pkgconfig(udev) BuildRequires: New
dependencies.
2018-05-17 - badshah400@gmail.com
- Initial package.

See Also

Package Description
pipewire-0.2.7-16.3.x86_64.rpm A Multimedia Framework designed to be an audio and video server and more
pipewire-0.2.7-16.7.i586.rpm A Multimedia Framework designed to be an audio and video server and more
pipewire-devel-0.2.7-16.3.x86_64.rpm Development Files For PipeWire, A Multimedia Framework
pipewire-devel-0.2.7-16.7.i586.rpm Development Files For PipeWire, A Multimedia Framework
pipewire-modules-0.2.7-16.3.x86_64.rpm Modules For PipeWire, A Multimedia Framework
pipewire-modules-0.2.7-16.7.i586.rpm Modules For PipeWire, A Multimedia Framework
pipewire-spa-plugins-0.2.7-16.3.x86_64.rpm Plugins For PipeWire SPA
pipewire-spa-plugins-0.2.7-16.7.i586.rpm Plugins For PipeWire SPA
pipewire-spa-tools-0.2.7-16.3.x86_64.rpm The PipeWire SPA Tools
pipewire-spa-tools-0.2.7-16.7.i586.rpm The PipeWire SPA Tools
pipewire-tools-0.2.7-16.3.x86_64.rpm The PipeWire Tools
pipewire-tools-0.2.7-16.7.i586.rpm The PipeWire Tools
polari-3.34.0-95.4.x86_64.rpm An IRC Client for GNOME
polari-3.34.1-100.4.i586.rpm An IRC Client for GNOME
polari-lang-3.34.0-95.4.noarch.rpm Translations for package polari
Advertisement
Advertisement